Karia
ReferencesOpenapiNovated asset

Get novated asset finance

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset/{assetId}/finance

Retrieve finance details and payment schedules for a novated asset in the specified organisation and workspace.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
assetId*string

Response Body

Successful response

application/json
  1. response
id*number
contractId*string|null
financier*string
provider*string|null
status*string
amountFinancedExGst*string|null
amountFinancedGst*string|null
driveAwayPriceIncGst*string|null
leaseTerm*number|null
residualPercentage*string|null
residualAmountExGst*string|null
residualAmountGst*string|null
monthlyFinancePaymentExGst*string|null
monthlyFinancePaymentGst*string|null
settlementDate*string|null
startDate*string|null
endDate*string|null
schedules*array<>
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/novated-asset/string/finance'
Example Response
{  "id": 0,  "contractId": "string",  "financier": "string",  "provider": "string",  "status": "string",  "amountFinancedExGst": "string",  "amountFinancedGst": "string",  "driveAwayPriceIncGst": "string",  "leaseTerm": 0,  "residualPercentage": "string",  "residualAmountExGst": "string",  "residualAmountGst": "string",  "monthlyFinancePaymentExGst": "string",  "monthlyFinancePaymentGst": "string",  "settlementDate": "string",  "startDate": "string",  "endDate": "string",  "schedules": [    {      "id": "string",      "type": "string",      "status": "string",      "amountDueExGst": "string",      "amountDueGst": "string",      "totalAmountDue": "string",      "anniversaryDate": "string",      "paymentDueDate": "string"    }  ]}